> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/register-frontend-client/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Register a client SDK POST https://app.unleash-instance.example.com/api/frontend/client/register Content-Type: application/json This is for future use. Currently Frontend client registration is not supported. Returning 200 for clients that expect this status code. If the Frontend API is disabled 404 is returned. Reference: https://docs.getunleash.io/api/register-frontend-client ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Body (application/json) This endpoint expects a frontendApiClientSchema. - `appName` (string, required) — Name of the application using Unleash - `interval` (double, required) — At which interval, in milliseconds, will this client be expected to send metrics - `started` (FrontendApiClientSchemaStarted, required) — When this client started. Should be reported as ISO8601 time. - `strategies` (list of string, required) — List of strategies implemented by this application - `instanceId` (string, optional) — Instance id for this application (typically hostname, podId or similar) - `sdkVersion` (string, optional) — Optional field that describes the sdk version (name:version) - `environment` (string, optional, deprecated) — deprecated ## Response ### 200 This response has no body. ## Errors ### 400 Bad Request Error The request data does not match what we expect. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### FrontendApiClientSchemaStarted When this client started. Should be reported as ISO8601 time. ## Examples **Request** ```json { "appName": "string", "interval": 1.1, "started": "2024-01-15T09:30:00Z", "strategies": [ "string" ] } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/frontend/client/register" payload = { "appName": "string", "interval": 1.1, "started": "2024-01-15T09:30:00Z", "strategies": ["string"] } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/frontend/client/register'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"appName":"string","interval":1.1,"started":"2024-01-15T09:30:00Z","strategies":["string"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/frontend/client/register" payload := strings.NewReader("{\n \"appName\": \"string\",\n \"interval\": 1.1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/frontend/client/register") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"appName\": \"string\",\n \"interval\": 1.1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/frontend/client/register") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"appName\": \"string\",\n \"interval\": 1.1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/frontend/client/register', [ 'body' => '{ "appName": "string", "interval": 1.1, "started": "2024-01-15T09:30:00Z", "strategies": [ "string" ] }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/frontend/client/register"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"appName\": \"string\",\n \"interval\": 1.1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "appName": "string", "interval": 1.1, "started": "2024-01-15T09:30:00Z", "strategies": ["string"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/frontend/client/register")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```